VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::content::library::item::updatesession::FileTypes::ValidationResult Class Reference

The `File.ValidationResult` class defines the result of validating the files in the session. More...

List of all members.

## Public Member Functions
| ValidationResult ()
| Creates a default new instance.
bool | GetHasErrors ()
| Whether the validation was succesful or not.
void | SetHasErrors (bool hasErrors)
| Whether the validation was succesful or not.
global::System.Collections.Generic.HashSet < string > | GetMissingFiles ()
| A set containing the names of the files that are required but the client hasn't added.
void | SetMissingFiles (global::System.Collections.Generic.HashSet< string > missingFiles)
| A set containing the names of the files that are required but the client hasn't added.
global::System.Collections.Generic.List < vmware.content.library.item.updatesession.FileTypes.ValidationError > | GetInvalidFiles ()
| A list containing the files that have been identified as invalid and details about the error.
void | SetInvalidFiles (global::System.Collections.Generic.List< vmware.content.library.item.updatesession.FileTypes.ValidationError > invalidFiles)
| A list containing the files that have been identified as invalid and details about the error.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `File.ValidationResult` class defines the result of validating the files in the session.

## Constructor & Destructor Documentation

vmware::content::library::item::updatesession::FileTypes::ValidationResult::ValidationResult | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::content::library::item::updatesession::FileTypes::ValidationResult::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::content::library::item::updatesession::FileTypes::ValidationResult::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::content::library::item::updatesession::FileTypes::ValidationResult::_GetType | ( |  | ) | `[inline]`

bool vmware::content::library::item::updatesession::FileTypes::ValidationResult::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::content::library::item::updatesession::FileTypes::ValidationResult::_Validate | ( |  | ) | `[inline]`

override bool vmware::content::library::item::updatesession::FileTypes::ValidationResult::Equals | ( | object | obj | ) | `[inline]`

bool vmware::content::library::item::updatesession::FileTypes::ValidationResult::GetHasErrors | ( |  | ) | `[inline]`

Whether the validation was succesful or not.

In case of errors, the File.ValidationResult.missingFiles and File.ValidationResult.invalidFiles will contain at least one entry.

override int vmware::content::library::item::updatesession::FileTypes::ValidationResult::GetHashCode | ( |  | ) | `[inline]`

global::System.Collections.Generic.List<vmware.content.library.item.updatesession.FileTypes.ValidationError> vmware::content::library::item::updatesession::FileTypes::ValidationResult::GetInvalidFiles | ( |  | ) | `[inline]`

A list containing the files that have been identified as invalid and details about the error.

global::System.Collections.Generic.HashSet<string> vmware::content::library::item::updatesession::FileTypes::ValidationResult::GetMissingFiles | ( |  | ) | `[inline]`

A set containing the names of the files that are required but the client hasn't added.

void vmware::content::library::item::updatesession::FileTypes::ValidationResult::SetHasErrors | ( | bool | hasErrors | ) | `[inline]`

Whether the validation was succesful or not.

In case of errors, the File.ValidationResult.missingFiles and File.ValidationResult.invalidFiles will contain at least one entry.

void vmware::content::library::item::updatesession::FileTypes::ValidationResult::SetInvalidFiles | ( | global::System.Collections.Generic.List< vmware.content.library.item.updatesession.FileTypes.ValidationError > | invalidFiles | ) | `[inline]`

A list containing the files that have been identified as invalid and details about the error.

void vmware::content::library::item::updatesession::FileTypes::ValidationResult::SetMissingFiles | ( | global::System.Collections.Generic.HashSet< string > | missingFiles | ) | `[inline]`

A set containing the names of the files that are required but the client hasn't added.

override string vmware::content::library::item::updatesession::FileTypes::ValidationResult::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- updatesession/FileTypes.cs